<html>
<head>
<title>Ogre::RTShader::ShaderGenerator::SGScheme Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="namespaceOgre_1_1RTShader.html">RTShader</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator.html">ShaderGenerator</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">SGScheme</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RTShader::ShaderGenerator::SGScheme Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RTShader::ShaderGenerator::SGScheme" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Shader generator scheme class.  
 <a href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::RTShader::ShaderGenerator::SGScheme:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme__inherit__graph.gif" border="0" usemap="#Ogre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme_inherit__map" id="Ogre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="77,5,232,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#aa340b437bf4d74d1d3b7fa2cf8f99582">SGScheme</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;schemeName)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a3bf06579766a2f9c6a19d5616c15f0b8">~SGScheme</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a936832947ab5adc34f86747687d59ff6">empty</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if this scheme dose not contains any techniques.  <a href="#a936832947ab5adc34f86747687d59ff6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a07e596af0447fbaf0c674a89e1e1996b">invalidate</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Invalidate the whole scheme.  <a href="#a07e596af0447fbaf0c674a89e1e1996b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#acdc41124839a6411965c63836eea5cc8">validate</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Validate the whole scheme.  <a href="#acdc41124839a6411965c63836eea5cc8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#ae19b6a4ee0c68dca17b3f9de83cc4a72">invalidate</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;materialName, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName=<a class="el" href="classOgre_1_1ResourceGroupManager.html#a70da3137e703c147b98fbfbbebfbf023">ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Invalidate specific material.  <a href="#ae19b6a4ee0c68dca17b3f9de83cc4a72"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a589a561d15aec1b9ad206c6b93e67d3f">validate</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;materialName, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName=<a class="el" href="classOgre_1_1ResourceGroupManager.html#a70da3137e703c147b98fbfbbebfbf023">ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Validate specific material.  <a href="#a589a561d15aec1b9ad206c6b93e67d3f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a1f94ccc0857b153399859dee6703f982">addTechniqueEntry</a> (<a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html">SGTechnique</a> *techEntry)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a technique to current techniques list.  <a href="#a1f94ccc0857b153399859dee6703f982"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#ae3637ed216c002f15eb79a849336d4eb">removeTechniqueEntry</a> (<a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html">SGTechnique</a> *techEntry)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a technique from the current techniques list.  <a href="#ae3637ed216c002f15eb79a849336d4eb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">RenderState</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#aa7f2438819d7b5142d415ffc4c146ebc">getRenderState</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get global render state of this scheme.  <a href="#aa7f2438819d7b5142d415ffc4c146ebc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">RenderState</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a4302794ca906f9fd74312e88aabc79c8">getRenderState</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;materialName, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName, unsigned short passIndex)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get specific pass render state.  <a href="#a4302794ca906f9fd74312e88aabc79c8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a701c8a55d47a2f54dc5cb0f2271d8951">synchronizeWithLightSettings</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Synchronize the current light settings of this scheme with the current settings of the scene.  <a href="#a701c8a55d47a2f54dc5cb0f2271d8951"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#abae95506d444d06999ece8be05c78934">synchronizeWithFogSettings</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Synchronize the fog settings of this scheme with the current settings of the scene.  <a href="#abae95506d444d06999ece8be05c78934"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a9344c998b5ca980dad55cafafe7c43e1">mName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator.html#abb38959c28981266b6bfd902f711af3b">SGTechniqueList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a2eff0bfef5e0c6e258a05c85a62b5012">mTechniqueEntries</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a54816ea9f46d513ff4b76a00dfa0b104">mOutOfDate</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">RenderState</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a04012930bca69e97ae0be7230a94e528">mRenderState</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga83edeb2e5d33a3ca8f15834ba40020ba">FogMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a566688db5f20f72566d949c22ebe7217">mFogMode</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Shader generator scheme class. </p>

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00615">615</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa340b437bf4d74d1d3b7fa2cf8f99582"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::SGScheme" ref="aa340b437bf4d74d1d3b7fa2cf8f99582" args="(const String &amp;schemeName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#aa340b437bf4d74d1d3b7fa2cf8f99582">Ogre::RTShader::ShaderGenerator::SGScheme::SGScheme</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>schemeName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3bf06579766a2f9c6a19d5616c15f0b8"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::~SGScheme" ref="a3bf06579766a2f9c6a19d5616c15f0b8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a3bf06579766a2f9c6a19d5616c15f0b8">Ogre::RTShader::ShaderGenerator::SGScheme::~SGScheme</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a1f94ccc0857b153399859dee6703f982"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::addTechniqueEntry" ref="a1f94ccc0857b153399859dee6703f982" args="(SGTechnique *techEntry)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a1f94ccc0857b153399859dee6703f982">Ogre::RTShader::ShaderGenerator::SGScheme::addTechniqueEntry</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html">SGTechnique</a> *&#160;</td>
          <td class="paramname"><em>techEntry</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a technique to current techniques list. </p>

</div>
</div>
<a class="anchor" id="a936832947ab5adc34f86747687d59ff6"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::empty" ref="a936832947ab5adc34f86747687d59ff6" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a936832947ab5adc34f86747687d59ff6">Ogre::RTShader::ShaderGenerator::SGScheme::empty</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return true if this scheme dose not contains any techniques. </p>

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00624">624</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa7f2438819d7b5142d415ffc4c146ebc"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::getRenderState" ref="aa7f2438819d7b5142d415ffc4c146ebc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">RenderState</a>* <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#aa7f2438819d7b5142d415ffc4c146ebc">Ogre::RTShader::ShaderGenerator::SGScheme::getRenderState</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get global render state of this scheme. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator.html#a3d7167dbc5b45f11cae4a5dc61c0a823" title="Return a global render state associated with the given scheme name.">ShaderGenerator::getRenderState</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a4302794ca906f9fd74312e88aabc79c8"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::getRenderState" ref="a4302794ca906f9fd74312e88aabc79c8" args="(const String &amp;materialName, const String &amp;groupName, unsigned short passIndex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">RenderState</a>* <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#aa7f2438819d7b5142d415ffc4c146ebc">Ogre::RTShader::ShaderGenerator::SGScheme::getRenderState</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>materialName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>groupName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>passIndex</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get specific pass render state. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator.html#a3d7167dbc5b45f11cae4a5dc61c0a823" title="Return a global render state associated with the given scheme name.">ShaderGenerator::getRenderState</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a07e596af0447fbaf0c674a89e1e1996b"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::invalidate" ref="a07e596af0447fbaf0c674a89e1e1996b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a07e596af0447fbaf0c674a89e1e1996b">Ogre::RTShader::ShaderGenerator::SGScheme::invalidate</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Invalidate the whole scheme. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator.html#a4853e5eea4d5e3c1d0e09e40d9424da1" title="Invalidate a given scheme.">ShaderGenerator::invalidateScheme</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="ae19b6a4ee0c68dca17b3f9de83cc4a72"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::invalidate" ref="ae19b6a4ee0c68dca17b3f9de83cc4a72" args="(const String &amp;materialName, const String &amp;groupName=ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a07e596af0447fbaf0c674a89e1e1996b">Ogre::RTShader::ShaderGenerator::SGScheme::invalidate</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>materialName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>groupName</em> = <code><a class="el" href="classOgre_1_1ResourceGroupManager.html#a70da3137e703c147b98fbfbbebfbf023">ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Invalidate specific material. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator.html#a4f9db077c24e965c7e0626a309cfaf53" title="Invalidate specific material scheme.">ShaderGenerator::invalidateMaterial</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae3637ed216c002f15eb79a849336d4eb"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::removeTechniqueEntry" ref="ae3637ed216c002f15eb79a849336d4eb" args="(SGTechnique *techEntry)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#ae3637ed216c002f15eb79a849336d4eb">Ogre::RTShader::ShaderGenerator::SGScheme::removeTechniqueEntry</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html">SGTechnique</a> *&#160;</td>
          <td class="paramname"><em>techEntry</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a technique from the current techniques list. </p>

</div>
</div>
<a class="anchor" id="abae95506d444d06999ece8be05c78934"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::synchronizeWithFogSettings" ref="abae95506d444d06999ece8be05c78934" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#abae95506d444d06999ece8be05c78934">Ogre::RTShader::ShaderGenerator::SGScheme::synchronizeWithFogSettings</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Synchronize the fog settings of this scheme with the current settings of the scene. </p>

</div>
</div>
<a class="anchor" id="a701c8a55d47a2f54dc5cb0f2271d8951"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::synchronizeWithLightSettings" ref="a701c8a55d47a2f54dc5cb0f2271d8951" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a701c8a55d47a2f54dc5cb0f2271d8951">Ogre::RTShader::ShaderGenerator::SGScheme::synchronizeWithLightSettings</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Synchronize the current light settings of this scheme with the current settings of the scene. </p>

</div>
</div>
<a class="anchor" id="acdc41124839a6411965c63836eea5cc8"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::validate" ref="acdc41124839a6411965c63836eea5cc8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#acdc41124839a6411965c63836eea5cc8">Ogre::RTShader::ShaderGenerator::SGScheme::validate</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Validate the whole scheme. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator.html#a651a5f61020937cc40f4090f1f18e458" title="Validate a given scheme.">ShaderGenerator::validateScheme</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a589a561d15aec1b9ad206c6b93e67d3f"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::validate" ref="a589a561d15aec1b9ad206c6b93e67d3f" args="(const String &amp;materialName, const String &amp;groupName=ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#acdc41124839a6411965c63836eea5cc8">Ogre::RTShader::ShaderGenerator::SGScheme::validate</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>materialName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>groupName</em> = <code><a class="el" href="classOgre_1_1ResourceGroupManager.html#a70da3137e703c147b98fbfbbebfbf023">ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Validate specific material. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator.html#a3945351f7aaea0ac9525ceb1ebf4badd" title="Validate specific material scheme.">ShaderGenerator::validateMaterial</a>. </dd></dl>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a566688db5f20f72566d949c22ebe7217"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::mFogMode" ref="a566688db5f20f72566d949c22ebe7217" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga83edeb2e5d33a3ca8f15834ba40020ba">FogMode</a> <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a566688db5f20f72566d949c22ebe7217">Ogre::RTShader::ShaderGenerator::SGScheme::mFogMode</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00676">676</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9344c998b5ca980dad55cafafe7c43e1"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::mName" ref="a9344c998b5ca980dad55cafafe7c43e1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a9344c998b5ca980dad55cafafe7c43e1">Ogre::RTShader::ShaderGenerator::SGScheme::mName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00672">672</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a54816ea9f46d513ff4b76a00dfa0b104"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::mOutOfDate" ref="a54816ea9f46d513ff4b76a00dfa0b104" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a54816ea9f46d513ff4b76a00dfa0b104">Ogre::RTShader::ShaderGenerator::SGScheme::mOutOfDate</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00674">674</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a04012930bca69e97ae0be7230a94e528"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::mRenderState" ref="a04012930bca69e97ae0be7230a94e528" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">RenderState</a>* <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a04012930bca69e97ae0be7230a94e528">Ogre::RTShader::ShaderGenerator::SGScheme::mRenderState</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00675">675</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2eff0bfef5e0c6e258a05c85a62b5012"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGScheme::mTechniqueEntries" ref="a2eff0bfef5e0c6e258a05c85a62b5012" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator.html#abb38959c28981266b6bfd902f711af3b">SGTechniqueList</a> <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a2eff0bfef5e0c6e258a05c85a62b5012">Ogre::RTShader::ShaderGenerator::SGScheme::mTechniqueEntries</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00673">673</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:32
</p>
</body>
</html>
